Subject: [bug#54439] Rust: Add Rust 1.59, set default to 1.59.

From: Paul Alesius <[email-masked]>
Date: Fri, 18 Mar 2022 09:55:37 +0100

Thank you for the input.

I was unable to build the latest version (1.59) without also building
the intermediate versions (1.58), hence why the package declarations
for 1.57 and 1.58 remained intact with testing as I was verifying that
they build.

You're right, the bootstrapping releases should be trimmed down. I am
very new to Guile so if anyone wants to modify the patch while I learn
the build system to create a new patch, that would be fine with me.

/With regards
- Paul

On Fri, 18 Mar 2022 at 09:23, Maxime Devos <[email-masked]> wrote:
>
> Paul Alesius schreef op vr 18-03-2022 om 01:21 [+0100]:
> > +         ((#:tests? _ #f)
> > +          #t)
>
> This is incorrect when cross-compiling, use
> (->bool (not (%current-target-system)) instead.
>
> Or simpler:
>
> (substitute-keyword-arguments
>   (strip-keyword-arguments '(#:tests?) (package-arguments base-rust)))
>
> Also, I'm wondering, should #:tests? #t be removed from 1.57?
> From rust.scm:
>
>        ;; Only the final Rust is tested, not the intermediate bootstrap
> ones,
>        ;; for performance and simplicity.
>        #:tests? #f
>